// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE_1_0.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

import Qt 4.7

Rectangle {
    property string text : "Button"
    signal clicked()
    signal entered()
    signal exited()

    width: text.width + mediumMargin
    height: text.height + mediumMargin
    border.width: mouseArea.containsMouse ? 2 : 1
    border.color: uiBorderColor
    color: uiBackgroundColor
    radius: 3

    Text {
        id: text
        anchors.centerIn: parent
        text: parent.text
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        hoverEnabled: true
        onClicked: parent.clicked();
        onEntered: parent.entered();
        onExited: parent.exited();
    }
}
